#include sfctrls.h
private oApp, ;
	oMenu, ;
	oBookmarks

* Create an application object.

oApp = newobject('MyApplication', 'MyClasses')

* Define the menu.

oMenu = newobject('SFMenu', 'SFMenu.vcx', '', 'oMenu')

* Create the File pad.

oMenu.AddPad('SFPad', 'SFMenu.vcx', 'FilePad')
with oMenu.FilePad
	.cCaption       = '\<File'
	.cKey           = 'ALT+F'
	.cStatusBarText = 'Performs file functions'
	.lMRU           = .T.

	.AddBar('SFBar', 'SFMenu.vcx', 'FileCustomers')
	with .FileCustomers
		.cCaption         = '\<Customers'
		.cStatusBarText   = 'Display the customers form'
		.cOnClickCommand  = 'do form Customers'
	endwith

	.AddBar('SFBar', 'SFMenu.vcx', 'FileInvoices')
	with .FileInvoices
		.cCaption         = '\<Invoices'
		.cStatusBarText   = 'Open a file'
		.cOnClickCommand  = [messagebox('You chose File, Invoices')]
	endwith

	.AddBar('SFBar', 'SFMenu.vcx', 'FilePrintSetup')
	with .FilePrintSetup
		.cCaption         = '\<Print Setup...'
		.cStatusBarText   = 'Change the printer settings'
		.cOnClickCommand  = 'sys(1037)'
		.lInvert          = .T.
		.cPictureResource = '_mfi_sysprint'
	endwith

	loBar = .AddSeparatorBar()
	loBar.lInvert = .T.
	loBar.cBarPosition = 'before ' + transform(.FilePrintSetup.nBarNumber)

	.AddSeparatorBar()

	.AddBar('SFBar', 'SFMenu.vcx', 'FileExit')
	with .FileExit
		.cCaption        = 'E\<xit'
		.cStatusBarText  = 'Exit this application'
		.cOnClickCommand = 'ExitApp()'
		.cPictureFile    = 'close.bmp'
	endwith
endwith

* Create the edit pad.

oMenu.AddPad('SFEditPad', 'SFMenu.vcx', 'EditPad')

* Display the menu.

oMenu.Show()

* Create a bookmark object.

oBookmark = newobject('Bookmarks', 'MyClasses')

* Display the switchboard form.

do form Switchboard

* Start the event handler.

read events

function ExitApp
local lnI
for lnI = _screen.FormCount to 1 step -1
	if type('_screen.Forms[lnI].Name') = 'C'
		_screen.Forms[lnI].Release()
	endif type('_screen.Forms[lnI].Name') = 'C'
next lnI
clear events
