***********************************************************************
*** Test the error handler class as a COM Object
***********************************************************************
LOCAL luRetVal, lcOldErr, llComError
luRetVal = 0
*** Create the Test object
oTest = CREATEOBJECT( 'comerror.comtest' )
*** Save off Error Handling and set locally
lcOldErr = ON('ERROR')
ON ERROR llComError = .T.
*** Call the Method (Passing current Program)
luRetVal = oTest.GenError( PROGRAM() )
*** What did we get back?
? luRetVal
*** And what's the state of the llComError
? llComError
*** And what's in the Error Collection
loErr = oTest.GetErrors()
WITH loErr
   *** And display them
   ? "Total Errors: " + TRANSFORM( .nErrorCount )
   FOR lnCnt = 1 TO .nErrorCount
      ? .aErrors[lnCnt, 1]
      ? .aErrors[lnCnt, 2]
      ? .aErrors[lnCnt, 3]
      ?
   NEXT
ENDWITH
*** Restore Error Handling
IF ! EMPTY( lcOldErr )
    ON ERROR (lcOldErr)
ELSE
    ON ERROR
ENDIF
